<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CityListResponse StructType
 * @subpackage Structs
 */
class CityListResponse extends AbstractStructBase
{
    /**
     * The CityListRS
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_StaticDataRS
     */
    public $CityListRS;
    /**
     * Constructor method for CityListResponse
     * @uses CityListResponse::setCityListRS()
     * @param \StructType\JP_StaticDataRS $cityListRS
     */
    public function __construct(\StructType\JP_StaticDataRS $cityListRS = null)
    {
        $this
            ->setCityListRS($cityListRS);
    }
    /**
     * Get CityListRS value
     * @return \StructType\JP_StaticDataRS|null
     */
    public function getCityListRS()
    {
        return $this->CityListRS;
    }
    /**
     * Set CityListRS value
     * @param \StructType\JP_StaticDataRS $cityListRS
     * @return \StructType\CityListResponse
     */
    public function setCityListRS(\StructType\JP_StaticDataRS $cityListRS = null)
    {
        $this->CityListRS = $cityListRS;
        return $this;
    }
}
